Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common.remote
Class rAttributeDescription

`java.lang.Object
oracle.jbo.common.remote.rAttributeDescription`

All Implemented Interfaces:
  java.io.Serializable

public final class rAttributeDescription
extends java.lang.Object
implements java.io.Serializable

rAttributeDescription describes the ViewUsage attributes. An array of rAttributeDescription is returned when the client asks for ViewUsage information.

Version:
  SDK
See Also:
  `ServerApplicationModule`, Serialized Form

Field Summary
`java.lang.String` | `columnName`
`java.lang.String` | `columnNameForQuery`
`java.lang.String` | `elemClassName`
`boolean` | `isFromReference`
`boolean` | `isQueriable`
`byte` | `kind`
`boolean` | `mandatory`
`java.lang.String` | `name`
`int` | `precision`
`boolean` | `primarykey`
`int` | `scale`
`int` | `sqlType`
`java.lang.String` | `type`
`byte` | `updateable`

Constructor Summary
`rAttributeDescription()`
`rAttributeDescription(java.lang.String name, java.lang.String columnName, java.lang.String columnNameForQuery, java.lang.String type, int sqlType, byte kind, boolean isQueriable, boolean isFromReference, byte updateable, boolean primarykey, boolean mandatory, int precision, int scale, java.lang.String elemClzName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### columnName

    public java.lang.String columnName

### columnNameForQuery

    public java.lang.String columnNameForQuery

### type

    public java.lang.String type

### sqlType

    public int sqlType

### kind

    public byte kind

### isQueriable

    public boolean isQueriable

### isFromReference

    public boolean isFromReference

### updateable

    public byte updateable

### primarykey

    public boolean primarykey

### mandatory

    public boolean mandatory

### precision

    public int precision

### scale

    public int scale

### elemClassName

    public java.lang.String elemClassName

Constructor Detail

### rAttributeDescription

    public rAttributeDescription()

### rAttributeDescription

    public rAttributeDescription(java.lang.String name,
                                 java.lang.String columnName,
                                 java.lang.String columnNameForQuery,
                                 java.lang.String type,
                                 int sqlType,
                                 byte kind,
                                 boolean isQueriable,
                                 boolean isFromReference,
                                 byte updateable,
                                 boolean primarykey,
                                 boolean mandatory,
                                 int precision,
                                 int scale,
                                 java.lang.String elemClzName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.